aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/run_tests
diff options
context:
space:
mode:
authorGravatar Craig Tiller <ctiller@google.com>2015-12-10 18:09:14 -0800
committerGravatar Craig Tiller <ctiller@google.com>2015-12-10 18:09:14 -0800
commitbfb6c5715e80ba8897376183b9b829307f8da53d (patch)
tree5fb44d3d8e957f641fcb8bdac690aa613ccd7919 /tools/run_tests
parentac5e56bcbe06847bceed1de8da8901c02760e12c (diff)
parentf0e3354b4ee976f6ff9e26369fd1262a04e86548 (diff)
Merge pull request #4414 from nicolasnoble/coverage-option
Improving local test coverage with options.
Diffstat (limited to 'tools/run_tests')
-rwxr-xr-xtools/run_tests/run_lcov.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/tools/run_tests/run_lcov.sh b/tools/run_tests/run_lcov.sh
index a28ec138bb..ec97ebf0a5 100755
--- a/tools/run_tests/run_lcov.sh
+++ b/tools/run_tests/run_lcov.sh
@@ -33,9 +33,10 @@ set -ex
out=$(readlink -f ${1:-coverage})
root=$(readlink -f $(dirname $0)/../..)
+shift
tmp=$(mktemp)
cd $root
-tools/run_tests/run_tests.py -c gcov -l c c++ || true
+tools/run_tests/run_tests.py -c gcov -l c c++ $@ || true
lcov --capture --directory . --output-file $tmp
genhtml $tmp --output-directory $out
rm $tmp